package com.example.osnov_android

import android.os.Build
import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.annotation.RequiresApi
import com.example.osnov_android.ui.theme.Osnov_androidTheme
import com.example.osnov_android.navigation.Navigation


class MainActivity : ComponentActivity() {
    @RequiresApi(Build.VERSION_CODES.O)
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContent {
            Osnov_androidTheme {
                    val viewModel = MainActivityViewModel()
                    Navigation(viewModel)
                            }
                        }
                    }
                }


