package com.example.osnov_android.views.bottommenuAdmin

import com.example.osnov_android.R
import com.example.osnov_android.navigation.Screen

sealed class BottomMenuItemAdmin(
    val route: String,
    val title: String,
    val iconId: Int,
    val rote: String
) {
    object BlogAdmin: BottomMenuItemAdmin(
        route = "blog",
        title = "Blog",
        iconId = R.drawable.blog,
        rote = Screen.BlogAdmin.route
    )
    object CookingAdmin: BottomMenuItemAdmin(
        route = "gotov",
        title = "Gotov",
        iconId = R.drawable.gotovka,
        rote = Screen.CookingAdmin.route

    )
    object Faq: BottomMenuItemAdmin(
        route = "faq",
        title = "Faq",
        iconId = R.drawable.faq,
        rote = Screen.Faq.route
    )
    object Profile: BottomMenuItemAdmin(
        route = "profile",
        title = "Profile",
        iconId = R.drawable.profile,
        rote = Screen.Profile.route
    )
}